Subject: bug#66431: closed (Re: bug#66431: [PATCH] Fix reset treesit--explorer-last-node when explorer buffer was killed)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 22 Oct 2023 03:37:02 +0000

Your bug report

#66431: [PATCH] Fix reset treesit--explorer-last-node when explorer buffer was killed

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66431: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66431
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66431: [PATCH] Fix reset treesit--explorer-last-node when explorer buffer was killed
From: Yuan Fu <[email-masked]>
To: nvp <[email-masked]>
Cc: [email-masked], Eli Zaretskii <[email-masked]>
Date: Sat, 21 Oct 2023 20:35:48 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

> On Oct 21, 2023, at 5:40 PM, nvp <[email-masked]> wrote:
> 
> Ok that makes sense, thanks for clearing that up for me, your fix looks good. I'm loving this package!

Thanks, I pushed the fix to emacs-29. I’m glad you are finding it useful!

Yuan

Subject: [PATCH] Fix reset treesit--explorer-last-node when explorer buffer was killed
From: nvp <[email-masked]>
To: [email-masked]
Date: Mon, 9 Oct 2023 23:02:48 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: patch

Bug: After `treesit-explorer-mode` is enabled in a buffer and its
associated `treesit--explorer-buffer` is killed, a subsequent call
to `treesit-explorer-mode` initially displays an empty explorer
buffer b/c `treesit--explorer-refresh` sees old value for
`treesit--explorer-last-node`.

* lisp/treesit.el (treesit-explorer-mode): reset
`treesit--explorer-last-node` when `treesit--explorer-buffer` was killed

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.24.33, cairo version 1.16.0) of 2023-10-05 built on noah-X580VD
Repository revision: 505c80623049d9e181918acdac8229c9a2041b1e
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Ubuntu 22.04.3 LTS

Configured using:
 'configure --prefix=/usr/local --with-modules --with-tree-sitter
--with-threads --with-x-toolkit=gtk3 --with-xwidgets --with-gnutls
--with-json --with-mailutils --with-jpeg --with-png --with-rsvg
--with-tiff --with-xml2 --with-xpm --with-imagemagick CC=gcc-12
CXX=gcc-12'
From f0d420133b58d0506173f2f1539867b2d9e7f014 Mon Sep 17 00:00:00 2001
From: nverno <[email-masked]>
Date: Mon, 9 Oct 2023 22:52:38 -0700
Subject: [PATCH] Fix reset treesit--explorer-last-node

---
 lisp/treesit.el | 1 +
 1 file changed, 1 insertion(+)

diff --git a/lisp/treesit.el b/lisp/treesit.el
index 402417c6ca9..e798abac079 100644
--- a/lisp/treesit.el
+++ b/lisp/treesit.el
@@ -3192,6 +3192,7 @@ treesit-explore-mode
                          (format "*tree-sitter explorer for %s*"
                                  (buffer-name))))
             (setq-local treesit--explorer-language language)
+            (setq-local treesit--explorer-last-node nil)
             (with-current-buffer treesit--explorer-buffer
               (treesit--explorer-tree-mode)))
           (display-buffer treesit--explorer-buffer
-- 
2.34.1